All pages
Powered by GitBook
1 of 1

Loading...

Delete a query

DeleteAssessmentQuery removes a query by ID.

By default, this operation does not delete assessments that are currently included in a report. Set the force option to true to delete an assessment regardless of its usage in reports.

Sample request:

Sample response:

A successful response will be empty:

curl -X 'DELETE' \
"$BASE_URL/api/v1/assessments/queries/c169c41c-2650-4f39-8930-f198f70f892b?force=true" \
-H "authorization: Bearer $VEZA_TOKEN"
{}
delete
Authorizations
AuthorizationstringRequired

Veza API key for authentication. Generate keys in Administration > API Keys.

Path parameters
idstringRequired
Query parameters
forcebooleanOptional
Responses
200

OK

application/json
object · DeleteAssessmentQueryResponseOptional
default

Default error response

application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

codeinteger · int32Optional

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

messagestringOptional

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

@typestringOptional

The type of the serialized message.

Other propertiesanyOptional
delete
/api/v1/assessments/queries/{id}

OK

{}
DELETE /api/v1/assessments/queries/{id} HTTP/1.1
Host: your-tenant.vezacloud.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*